Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] kicad: update to 6.0.0
@ 2022-01-07  2:47 PoroCYon
  2022-01-07 18:52 ` unspecd
                   ` (26 more replies)
  0 siblings, 27 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-07  2:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1153 bytes --]

There is a new pull request by PoroCYon against master on the void-packages repository

https://github.com/PoroCYon/void-packages kicad-600
https://github.com/void-linux/void-packages/pull/34917

kicad: update to 6.0.0
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**/**briefly**: I opened a project of mine, looked around and made some minor edits, tried the main components (schematic editor, PCB editor, 3D viewer), but I didn't test *all* features (scripting, gerber output with weird contents, SPICE integration, ...).

[ci skip] because `kicad-packages3D` is humongous, and KiCAD itself takes a long while to build, and all other packages are trivial (only assets). (Should I split up the PR?)

#### Local build testing
- I built this PR locally for my native architecture, x86_64
- I did **not** build this PR locally for these architectures as I don't have any of these machines (thus cannot test it) and cross-compiling would take too long.


A patch file from https://github.com/void-linux/void-packages/pull/34917.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-kicad-600-34917.patch --]
[-- Type: text/x-diff, Size: 7983 bytes --]

From 3904f2f44247391105cd1a213596889a0bfbc235 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Fri, 7 Jan 2022 03:38:45 +0100
Subject: [PATCH] kicad: update to 6.0.0

---
 srcpkgs/kicad-doc/template                   |  4 ++--
 srcpkgs/kicad-footprints/template            |  6 +++---
 srcpkgs/kicad-i18n/template                  |  2 +-
 srcpkgs/kicad-library/template               |  2 +-
 srcpkgs/kicad-packages3D/template            |  4 ++--
 srcpkgs/kicad-symbols/template               |  4 ++--
 srcpkgs/kicad-templates/template             |  4 ++--
 srcpkgs/kicad/patches/disable-warnings.patch | 17 -----------------
 srcpkgs/kicad/template                       | 11 ++++++-----
 9 files changed, 19 insertions(+), 35 deletions(-)
 delete mode 100644 srcpkgs/kicad/patches/disable-warnings.patch

diff --git a/srcpkgs/kicad-doc/template b/srcpkgs/kicad-doc/template
index 398cb7c5c0f2..1729ecf7b06e 100644
--- a/srcpkgs/kicad-doc/template
+++ b/srcpkgs/kicad-doc/template
@@ -1,13 +1,13 @@
 # Template file for 'kicad-doc'
 pkgname=kicad-doc
-version=5.1.11
+version=6.0.0
 revision=1
 short_desc="KiCad documentation"
 maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-3.0-or-later, CC-BY-3.0"
 homepage="http://kicad.org"
 distfiles="https://kicad-downloads.s3.cern.ch/docs/${pkgname}-${version}.tar.gz"
-checksum=3ce13d43c29e9eab502575b765a9be077e4d478b6e9d829c01739a7575a83512
+checksum=915d1c873f3346dfb51a02ac9d07b8152194b7b4fd8d4ea931e020a9fbd70945
 
 do_install() {
 	vmkdir usr/
diff --git a/srcpkgs/kicad-footprints/template b/srcpkgs/kicad-footprints/template
index 53ee1dad0c2e..914f3f661fcc 100644
--- a/srcpkgs/kicad-footprints/template
+++ b/srcpkgs/kicad-footprints/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-footprints'
 pkgname=kicad-footprints
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,9 +9,9 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=320cae2d830cfb4ff50f187f36c9e7c3c1565fbd6ea5b064e98ec44891ea8b9e
+checksum=8a63c02550d54b485e0ddcdf299c317fde1b91b3b927496ea739949d4d20e6ec
 
 post_install() {
 	# otherwise KiCad will complain about a missing library when launched
-	touch $DESTDIR/usr/share/kicad/modules/Connector_Multicomp.pretty/.empty
+	touch $DESTDIR/usr/share/kicad/footprints/Connector_Multicomp.pretty/.empty
 }
diff --git a/srcpkgs/kicad-i18n/template b/srcpkgs/kicad-i18n/template
index 67d31370545f..d4b49adf119a 100644
--- a/srcpkgs/kicad-i18n/template
+++ b/srcpkgs/kicad-i18n/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-i18n'
 pkgname=kicad-i18n
-version=5.1.11
+version=6.0.0
 revision=1
 _commit=0ad3d7e469e31c8868ad83f90e22a9c18f16aa1f
 wrksrc="${pkgname}-${version}-${_commit}"
diff --git a/srcpkgs/kicad-library/template b/srcpkgs/kicad-library/template
index b8bb109976e7..88ecdd9c38b5 100644
--- a/srcpkgs/kicad-library/template
+++ b/srcpkgs/kicad-library/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-library'
 pkgname=kicad-library
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=meta
 depends="kicad-footprints>=${version} kicad-packages3D>=${version}
diff --git a/srcpkgs/kicad-packages3D/template b/srcpkgs/kicad-packages3D/template
index 3bd516bb4859..a7486c44ef2b 100644
--- a/srcpkgs/kicad-packages3D/template
+++ b/srcpkgs/kicad-packages3D/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-packages3D'
 pkgname=kicad-packages3D
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=5ef77e1762fa8e8042f061dd2baa2bcb8934fe80c154f8b7e3c7a8cf474927d9
+checksum=320aca55e8b2cb227a9e32e9fdd19d190e2317f7254446361ad8a0179a56be18
diff --git a/srcpkgs/kicad-symbols/template b/srcpkgs/kicad-symbols/template
index a5c8b3ebcb59..047fc9574841 100644
--- a/srcpkgs/kicad-symbols/template
+++ b/srcpkgs/kicad-symbols/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-symbols'
 pkgname=kicad-symbols
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=f0877ff30e3f17be1ba17f33895a45998b4c08d62a48c51a25626ce7e269b098
+checksum=5436f257286bf1284768406a0507becf7044d0342efdf1d10103c9b5177435ca
diff --git a/srcpkgs/kicad-templates/template b/srcpkgs/kicad-templates/template
index 7cfe95f73be5..076eb13a43b1 100644
--- a/srcpkgs/kicad-templates/template
+++ b/srcpkgs/kicad-templates/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-templates'
 pkgname=kicad-templates
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=66272a39f624f5efa494b6bde2c10f3553167dbae5f52ca14a786bfc002b7961
+checksum=41d8a7f9542f1a975efa9430379cfa73a1731f6779eceb1528b31f7d57f39348
diff --git a/srcpkgs/kicad/patches/disable-warnings.patch b/srcpkgs/kicad/patches/disable-warnings.patch
deleted file mode 100644
index e59a54172441..000000000000
--- a/srcpkgs/kicad/patches/disable-warnings.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 21bebddbb1..956de85b13 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -197,12 +197,6 @@ perform_feature_checks()
- if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
-     include(CheckCXXCompilerFlag)
- 
--    CHECK_CXX_COMPILER_FLAG("-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
--
--    if(COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
--        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
--    endif()
--
-     CHECK_CXX_COMPILER_FLAG("-Wvla" COMPILER_SUPPORTS_WVLA)
- 
-     if(COMPILER_SUPPORTS_WVLA)
diff --git a/srcpkgs/kicad/template b/srcpkgs/kicad/template
index ba9934bf70c2..58e10dbb30f5 100644
--- a/srcpkgs/kicad/template
+++ b/srcpkgs/kicad/template
@@ -1,7 +1,7 @@
 # Template file for 'kicad'
 pkgname=kicad
-version=5.1.11
-revision=4
+version=6.0.0
+revision=1
 build_style=cmake
 build_helper=cmake-wxWidgets-gtk3
 configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
@@ -10,9 +10,10 @@ configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
  -DKICAD_SCRIPTING_PYTHON3=ON -DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
  -DwxWidgets_CONFIG_EXECUTABLE=$WX_CONFIG
  -DKICAD_USE_OCC=$(vopt_if occt ON OFF) -DKICAD_SPICE=$(vopt_if spice ON OFF)"
-hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3"
+hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3 tar"
 makedepends="wxWidgets-gtk3-devel wxPython4 python3-devel glew-devel cairo-devel
- openssl-devel boost-devel libcurl-devel glm libgomp-devel
+ openssl-devel boost-devel libcurl-devel glm libgomp-devel libfreeglut-devel
+ gtk+3-devel libcurl-devel
  $(vopt_if occt occt-devel) $(vopt_if spice ngspice-devel)"
 depends="wxPython4"
 short_desc="Electronic schematic and PCB design software"
@@ -20,7 +21,7 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-3.0-or-later"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz"
-checksum=32751a375bb117d51c07dde29cf3eea01cd9ff77336740e2728cb5f36bb48374
+checksum=022b3f5f2a7caa198df7e564a8efa4d93381be494e664d35170132bdd28d9617
 python_version=3
 
 build_options="spice occt"

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.0
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
@ 2022-01-07 18:52 ` unspecd
  2022-01-07 23:07 ` [PR PATCH] [Updated] " PoroCYon
                   ` (25 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: unspecd @ 2022-01-07 18:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 3795 bytes --]

New comment by unspecd on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1007652897

Comment:
1. It works for me (on x86_64-musl), but one test failed:
```
=> kicad-6.0.0_1: running do_check ...
[0/1] Running tests...
Test project /builddir/kicad-6.0.0/build
    Start 1: qa_python
1/8 Test #1: qa_python ........................   Passed   63.83 sec
    Start 2: qa_common
2/8 Test #2: qa_common ........................   Passed    2.34 sec
    Start 3: qa_gerbview
3/8 Test #3: qa_gerbview ......................   Passed   21.09 sec
    Start 4: qa_eeschema
4/8 Test #4: qa_eeschema ......................***Failed   15.42 sec
Running 62 test cases...
../qa/eeschema/test_ee_item.cpp(124): error: in "EeItem/Rotate": check aItem->GetBoundingBox().GetTop() == aOriginalItem->GetBoundingBox().GetTop() has failed [-529945 != -529188]
Failure occurred in a following context:
    Class: SCH_SHEET
    Position: -1000000 -500000, Reference: -1000000 -500000
../qa/eeschema/test_ee_item.cpp(128): error: in "EeItem/Rotate": check aItem->GetBoundingBox().GetBottom() == aOriginalItem->GetBoundingBox().GetBottom() has failed [-433225 != -433982]
Failure occurred in a following context:
    Class: SCH_SHEET
    Position: -1000000 -500000, Reference: -1000000 -500000
../qa/eeschema/test_ee_item.cpp(124): error: in "EeItem/Rotate": check aItem->GetBoundingBox().GetTop() == aOriginalItem->GetBoundingBox().GetTop() has failed [-529945 != -529188]
Failure occurred in a following context:
    Class: SCH_SHEET
    Position: -1000000 -500000, Reference: -1000000 0
../qa/eeschema/test_ee_item.cpp(128): error: in "EeItem/Rotate": check aItem->GetBoundingBox().GetBottom() == aOriginalItem->GetBoundingBox().GetBottom() has failed [-433225 != -433982]
Failure occurred in a following context:
    Class: SCH_SHEET
    Position: -1000000 -500000, Reference: -1000000 0

[etc...]

*** 162 failures are detected in the test module "Common Eeschema module tests"


    Start 5: qa_sexpr
5/8 Test #5: qa_sexpr .........................   Passed    0.13 sec
    Start 6: qa_kimath
6/8 Test #6: qa_kimath ........................   Passed    0.92 sec
    Start 7: qa_pcbnew
7/8 Test #7: qa_pcbnew ........................   Passed  125.88 sec
    Start 8: qa_kicad2step
8/8 Test #8: qa_kicad2step ....................   Passed    4.92 sec

88% tests passed, 1 tests failed out of 8

Total Test time (real) = 234.73 sec

The following tests FAILED:
	  4 - qa_eeschema (Failed)
Errors while running CTest
FAILED: CMakeFiles/test.util 
cd /builddir/kicad-6.0.0/build && /usr/bin/ctest --force-new-ctest-process
ninja: build stopped: subcommand failed.
```
2. You could remove unused configure_args:
   - KICAD_USE_OCE [[1](https://gitlab.com/kicad/code/kicad/-/commit/e57bde65821d7afcafeceb3b1a7f25e424d83121), [2](https://gitlab.com/kicad/code/kicad/-/commit/1c5c052301b607a0cf8b8ed6681f1db1622a865b)]
   - [KICAD_BUILD_VERSION](https://gitlab.com/kicad/code/kicad/-/commit/fd54d394bd12d2cb277fc289b6b4879f986c2416)
   - [BUILD_GITHUB_PLUGIN](https://gitlab.com/kicad/code/kicad/-/commit/9ed6cdd94391bf07b4d509b0b79f8873ec1ec4fd)
3. Not sure, but instead of deleting `disable-warnings.patch`, you could update it:
```diff
--- a/CMakeModules/Warnings.cmake
+++ b/CMakeModules/Warnings.cmake
@@ -38,13 +38,6 @@
     set( WARN_FLAGS_CXX "-Wall" )
 
 
-    # Warn about missing override specifiers
-    CHECK_CXX_COMPILER_FLAG( "-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
-
-    if( COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
-        set( WARN_FLAGS_CXX "${WARN_FLAGS_CXX} -Wsuggest-override" )
-        message( STATUS "Enabling warning -Wsuggest-override" )
-    endif()
```


^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR PATCH] [Updated] kicad: update to 6.0.0
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
  2022-01-07 18:52 ` unspecd
@ 2022-01-07 23:07 ` PoroCYon
  2022-01-07 23:10 ` PoroCYon
                   ` (24 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-07 23:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1225 bytes --]

There is an updated pull request by PoroCYon against master on the void-packages repository

https://github.com/PoroCYon/void-packages kicad-600
https://github.com/void-linux/void-packages/pull/34917

kicad: update to 6.0.0
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**/**briefly**: I opened a project of mine, looked around and made some minor edits, tried the main components (schematic editor, PCB editor, 3D viewer), but I didn't test *all* features (scripting, gerber output with weird contents, SPICE integration, ...).

[ci skip] because `kicad-packages3D` is humongous, and KiCAD itself takes a long while to build, and all other packages are trivial (only assets). (Should I split up the PR?)

#### Local build testing
- I built this PR locally for my native architecture, x86_64
- I did **not** build this PR locally for these architectures as I don't have any of these machines (thus cannot test it) and cross-compiling would take too long.

So, preferably, a few other people should test this PR as well.


A patch file from https://github.com/void-linux/void-packages/pull/34917.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-kicad-600-34917.patch --]
[-- Type: text/x-diff, Size: 8580 bytes --]

From 696a41b27d48e7c5a22507d77f08e09dd6ff7f32 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Fri, 7 Jan 2022 03:38:45 +0100
Subject: [PATCH] kicad: update to 6.0.0

---
 srcpkgs/kicad-doc/template                   |  4 ++--
 srcpkgs/kicad-footprints/template            |  6 ++---
 srcpkgs/kicad-i18n/template                  |  2 +-
 srcpkgs/kicad-library/template               |  2 +-
 srcpkgs/kicad-packages3D/template            |  4 ++--
 srcpkgs/kicad-symbols/template               |  4 ++--
 srcpkgs/kicad-templates/template             |  4 ++--
 srcpkgs/kicad/patches/disable-warnings.patch | 24 ++++++++------------
 srcpkgs/kicad/template                       | 16 ++++++-------
 9 files changed, 31 insertions(+), 35 deletions(-)

diff --git a/srcpkgs/kicad-doc/template b/srcpkgs/kicad-doc/template
index 398cb7c5c0f2..1729ecf7b06e 100644
--- a/srcpkgs/kicad-doc/template
+++ b/srcpkgs/kicad-doc/template
@@ -1,13 +1,13 @@
 # Template file for 'kicad-doc'
 pkgname=kicad-doc
-version=5.1.11
+version=6.0.0
 revision=1
 short_desc="KiCad documentation"
 maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-3.0-or-later, CC-BY-3.0"
 homepage="http://kicad.org"
 distfiles="https://kicad-downloads.s3.cern.ch/docs/${pkgname}-${version}.tar.gz"
-checksum=3ce13d43c29e9eab502575b765a9be077e4d478b6e9d829c01739a7575a83512
+checksum=915d1c873f3346dfb51a02ac9d07b8152194b7b4fd8d4ea931e020a9fbd70945
 
 do_install() {
 	vmkdir usr/
diff --git a/srcpkgs/kicad-footprints/template b/srcpkgs/kicad-footprints/template
index 53ee1dad0c2e..914f3f661fcc 100644
--- a/srcpkgs/kicad-footprints/template
+++ b/srcpkgs/kicad-footprints/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-footprints'
 pkgname=kicad-footprints
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,9 +9,9 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=320cae2d830cfb4ff50f187f36c9e7c3c1565fbd6ea5b064e98ec44891ea8b9e
+checksum=8a63c02550d54b485e0ddcdf299c317fde1b91b3b927496ea739949d4d20e6ec
 
 post_install() {
 	# otherwise KiCad will complain about a missing library when launched
-	touch $DESTDIR/usr/share/kicad/modules/Connector_Multicomp.pretty/.empty
+	touch $DESTDIR/usr/share/kicad/footprints/Connector_Multicomp.pretty/.empty
 }
diff --git a/srcpkgs/kicad-i18n/template b/srcpkgs/kicad-i18n/template
index 67d31370545f..d4b49adf119a 100644
--- a/srcpkgs/kicad-i18n/template
+++ b/srcpkgs/kicad-i18n/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-i18n'
 pkgname=kicad-i18n
-version=5.1.11
+version=6.0.0
 revision=1
 _commit=0ad3d7e469e31c8868ad83f90e22a9c18f16aa1f
 wrksrc="${pkgname}-${version}-${_commit}"
diff --git a/srcpkgs/kicad-library/template b/srcpkgs/kicad-library/template
index b8bb109976e7..88ecdd9c38b5 100644
--- a/srcpkgs/kicad-library/template
+++ b/srcpkgs/kicad-library/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-library'
 pkgname=kicad-library
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=meta
 depends="kicad-footprints>=${version} kicad-packages3D>=${version}
diff --git a/srcpkgs/kicad-packages3D/template b/srcpkgs/kicad-packages3D/template
index 3bd516bb4859..a7486c44ef2b 100644
--- a/srcpkgs/kicad-packages3D/template
+++ b/srcpkgs/kicad-packages3D/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-packages3D'
 pkgname=kicad-packages3D
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=5ef77e1762fa8e8042f061dd2baa2bcb8934fe80c154f8b7e3c7a8cf474927d9
+checksum=320aca55e8b2cb227a9e32e9fdd19d190e2317f7254446361ad8a0179a56be18
diff --git a/srcpkgs/kicad-symbols/template b/srcpkgs/kicad-symbols/template
index a5c8b3ebcb59..047fc9574841 100644
--- a/srcpkgs/kicad-symbols/template
+++ b/srcpkgs/kicad-symbols/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-symbols'
 pkgname=kicad-symbols
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=f0877ff30e3f17be1ba17f33895a45998b4c08d62a48c51a25626ce7e269b098
+checksum=5436f257286bf1284768406a0507becf7044d0342efdf1d10103c9b5177435ca
diff --git a/srcpkgs/kicad-templates/template b/srcpkgs/kicad-templates/template
index 7cfe95f73be5..076eb13a43b1 100644
--- a/srcpkgs/kicad-templates/template
+++ b/srcpkgs/kicad-templates/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-templates'
 pkgname=kicad-templates
-version=5.1.11
+version=6.0.0
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=66272a39f624f5efa494b6bde2c10f3553167dbae5f52ca14a786bfc002b7961
+checksum=41d8a7f9542f1a975efa9430379cfa73a1731f6779eceb1528b31f7d57f39348
diff --git a/srcpkgs/kicad/patches/disable-warnings.patch b/srcpkgs/kicad/patches/disable-warnings.patch
index e59a54172441..7a7e7a2193e6 100644
--- a/srcpkgs/kicad/patches/disable-warnings.patch
+++ b/srcpkgs/kicad/patches/disable-warnings.patch
@@ -1,17 +1,13 @@
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 21bebddbb1..956de85b13 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -197,12 +197,6 @@ perform_feature_checks()
- if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
-     include(CheckCXXCompilerFlag)
+--- a/CMakeModules/Warnings.cmake
++++ b/CMakeModules/Warnings.cmake
+@@ -38,13 +38,6 @@
+     set( WARN_FLAGS_CXX "-Wall" )
  
--    CHECK_CXX_COMPILER_FLAG("-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
+ 
+-    # Warn about missing override specifiers
+-    CHECK_CXX_COMPILER_FLAG( "-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
 -
--    if(COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
--        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
+-    if( COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
+-        set( WARN_FLAGS_CXX "${WARN_FLAGS_CXX} -Wsuggest-override" )
+-        message( STATUS "Enabling warning -Wsuggest-override" )
 -    endif()
--
-     CHECK_CXX_COMPILER_FLAG("-Wvla" COMPILER_SUPPORTS_WVLA)
- 
-     if(COMPILER_SUPPORTS_WVLA)
diff --git a/srcpkgs/kicad/template b/srcpkgs/kicad/template
index ba9934bf70c2..053bae8d83c6 100644
--- a/srcpkgs/kicad/template
+++ b/srcpkgs/kicad/template
@@ -1,18 +1,18 @@
 # Template file for 'kicad'
 pkgname=kicad
-version=5.1.11
-revision=4
+version=6.0.0
+revision=1
 build_style=cmake
 build_helper=cmake-wxWidgets-gtk3
-configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
- -DKICAD_SCRIPTING_MODULES=ON -DKICAD_SCRIPTING_WXPYTHON=ON
- -DKICAD_SCRIPTING_ACTION_MENU=ON  -DBUILD_GITHUB_PLUGIN=ON -DKICAD_USE_OCE=OFF
+configure_args="-DKICAD_SCRIPTING=ON -DKICAD_SCRIPTING_MODULES=ON
+ -DKICAD_SCRIPTING_WXPYTHON=ON -DKICAD_SCRIPTING_ACTION_MENU=ON
  -DKICAD_SCRIPTING_PYTHON3=ON -DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
  -DwxWidgets_CONFIG_EXECUTABLE=$WX_CONFIG
  -DKICAD_USE_OCC=$(vopt_if occt ON OFF) -DKICAD_SPICE=$(vopt_if spice ON OFF)"
-hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3"
+hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3 tar"
 makedepends="wxWidgets-gtk3-devel wxPython4 python3-devel glew-devel cairo-devel
- openssl-devel boost-devel libcurl-devel glm libgomp-devel
+ openssl-devel boost-devel libcurl-devel glm libgomp-devel libfreeglut-devel
+ gtk+3-devel libcurl-devel
  $(vopt_if occt occt-devel) $(vopt_if spice ngspice-devel)"
 depends="wxPython4"
 short_desc="Electronic schematic and PCB design software"
@@ -20,7 +20,7 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-3.0-or-later"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz"
-checksum=32751a375bb117d51c07dde29cf3eea01cd9ff77336740e2728cb5f36bb48374
+checksum=022b3f5f2a7caa198df7e564a8efa4d93381be494e664d35170132bdd28d9617
 python_version=3
 
 build_options="spice occt"

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.0
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
  2022-01-07 18:52 ` unspecd
  2022-01-07 23:07 ` [PR PATCH] [Updated] " PoroCYon
@ 2022-01-07 23:10 ` PoroCYon
  2022-01-16  8:43 ` lemmi
                   ` (23 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-07 23:10 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1366 bytes --]

New comment by PoroCYon on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1007810058

Comment:
Thanks for the feedback, I've incorporated your suggestions. However, I can't seem to replicate  the test failure:

```
=> kicad-6.0.0_1: running do_check ...
[0/1] Running tests...
Test project /builddir/kicad-6.0.0/build
    Start 1: qa_python
1/8 Test #1: qa_python ........................   Passed    1.37 sec
    Start 2: qa_common
2/8 Test #2: qa_common ........................   Passed    0.04 sec
    Start 3: qa_gerbview
3/8 Test #3: qa_gerbview ......................   Passed    0.11 sec
    Start 4: qa_eeschema
4/8 Test #4: qa_eeschema ......................   Passed    0.83 sec
    Start 5: qa_sexpr
5/8 Test #5: qa_sexpr .........................   Passed    0.01 sec
    Start 6: qa_kimath
6/8 Test #6: qa_kimath ........................   Passed    0.02 sec
    Start 7: qa_pcbnew
7/8 Test #7: qa_pcbnew ........................   Passed   45.37 sec
    Start 8: qa_kicad2step
8/8 Test #8: qa_kicad2step ....................   Passed    0.17 sec

100% tests passed, 0 tests failed out of 8

Total Test time (real) =  47.93 sec
```

Maybe it's a glibc vs musl difference? I forgot to mention I'm using glibc. Either way, I'd need some help to fix this as I can't replicate it.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.0
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (2 preceding siblings ...)
  2022-01-07 23:10 ` PoroCYon
@ 2022-01-16  8:43 ` lemmi
  2022-01-16  8:44 ` lemmi
                   ` (22 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: lemmi @ 2022-01-16  8:43 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 217 bytes --]

New comment by lemmi on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1013834302

Comment:
`6.0.1` is out. Tested this briefly tested on `x86_64-glibc` with old boards.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.0
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (3 preceding siblings ...)
  2022-01-16  8:43 ` lemmi
@ 2022-01-16  8:44 ` lemmi
  2022-01-16 16:37 ` [PR PATCH] [Updated] " PoroCYon
                   ` (21 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: lemmi @ 2022-01-16  8:44 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 210 bytes --]

New comment by lemmi on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1013834302

Comment:
`6.0.1` is out. Tested this briefly on `x86_64-glibc` with old boards.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR PATCH] [Updated] kicad: update to 6.0.0
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (4 preceding siblings ...)
  2022-01-16  8:44 ` lemmi
@ 2022-01-16 16:37 ` PoroCYon
  2022-01-16 16:38 ` PoroCYon
                   ` (20 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-16 16:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1231 bytes --]

There is an updated pull request by PoroCYon against master on the void-packages repository

https://github.com/PoroCYon/void-packages kicad-600
https://github.com/void-linux/void-packages/pull/34917

kicad: update to 6.0.0
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**/**briefly**: I opened a project of mine, looked around and made some minor edits, tried the main components (schematic editor, PCB editor, 3D viewer), but I didn't test *all* features (scripting, gerber output with weird contents, SPICE integration, ...).

[ci skip] because `kicad-packages3D` is humongous, and KiCAD itself takes a long while to build, and all other packages are trivial (only assets). (Should I split up the PR?)

#### Local build testing
- I built this PR locally for my native architecture, x86_64-glibc
- I did **not** build this PR locally for these architectures as I don't have any of these machines (thus cannot test it) and cross-compiling would take too long.

So, preferably, a few other people should test this PR as well.


A patch file from https://github.com/void-linux/void-packages/pull/34917.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-kicad-600-34917.patch --]
[-- Type: text/x-diff, Size: 9165 bytes --]

From dcf7bfe200b3719981a038fbeece23a850297a72 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Fri, 7 Jan 2022 03:38:45 +0100
Subject: [PATCH] kicad: update to 6.0.1

---
 srcpkgs/kicad-doc/template                   | 15 ------------
 srcpkgs/kicad-footprints/template            |  6 ++---
 srcpkgs/kicad-i18n/template                  | 15 ------------
 srcpkgs/kicad-library/template               |  2 +-
 srcpkgs/kicad-packages3D/template            |  6 ++---
 srcpkgs/kicad-symbols/template               |  4 ++--
 srcpkgs/kicad-templates/template             |  4 ++--
 srcpkgs/kicad/patches/disable-warnings.patch | 24 ++++++++------------
 srcpkgs/kicad/template                       | 16 ++++++-------
 9 files changed, 29 insertions(+), 63 deletions(-)
 delete mode 100644 srcpkgs/kicad-doc/template
 delete mode 100644 srcpkgs/kicad-i18n/template

diff --git a/srcpkgs/kicad-doc/template b/srcpkgs/kicad-doc/template
deleted file mode 100644
index 398cb7c5c0f2..000000000000
--- a/srcpkgs/kicad-doc/template
+++ /dev/null
@@ -1,15 +0,0 @@
-# Template file for 'kicad-doc'
-pkgname=kicad-doc
-version=5.1.11
-revision=1
-short_desc="KiCad documentation"
-maintainer="Érico Nogueira <ericonr@disroot.org>"
-license="GPL-3.0-or-later, CC-BY-3.0"
-homepage="http://kicad.org"
-distfiles="https://kicad-downloads.s3.cern.ch/docs/${pkgname}-${version}.tar.gz"
-checksum=3ce13d43c29e9eab502575b765a9be077e4d478b6e9d829c01739a7575a83512
-
-do_install() {
-	vmkdir usr/
-	vcopy share/ usr/
-}
diff --git a/srcpkgs/kicad-footprints/template b/srcpkgs/kicad-footprints/template
index 53ee1dad0c2e..aa8062df6655 100644
--- a/srcpkgs/kicad-footprints/template
+++ b/srcpkgs/kicad-footprints/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-footprints'
 pkgname=kicad-footprints
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,9 +9,9 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=320cae2d830cfb4ff50f187f36c9e7c3c1565fbd6ea5b064e98ec44891ea8b9e
+checksum=c2b825f346b5eb60faaa7b39c64855c47d80e1ef950e4df08c58e843783bc9a6
 
 post_install() {
 	# otherwise KiCad will complain about a missing library when launched
-	touch $DESTDIR/usr/share/kicad/modules/Connector_Multicomp.pretty/.empty
+	touch $DESTDIR/usr/share/kicad/footprints/Connector_Multicomp.pretty/.empty
 }
diff --git a/srcpkgs/kicad-i18n/template b/srcpkgs/kicad-i18n/template
deleted file mode 100644
index 67d31370545f..000000000000
--- a/srcpkgs/kicad-i18n/template
+++ /dev/null
@@ -1,15 +0,0 @@
-# Template file for 'kicad-i18n'
-pkgname=kicad-i18n
-version=5.1.11
-revision=1
-_commit=0ad3d7e469e31c8868ad83f90e22a9c18f16aa1f
-wrksrc="${pkgname}-${version}-${_commit}"
-build_style=cmake
-hostmakedepends="gettext"
-depends="kicad"
-short_desc="KiCad localization files"
-maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
-license="CC-BY-SA-4.0"
-homepage="http://kicad.org"
-distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=2cbde9705f945be3b9796d981aea0dbc70a3f24796c9156e337b8014868be4e9
diff --git a/srcpkgs/kicad-library/template b/srcpkgs/kicad-library/template
index b8bb109976e7..ab472215f802 100644
--- a/srcpkgs/kicad-library/template
+++ b/srcpkgs/kicad-library/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-library'
 pkgname=kicad-library
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=meta
 depends="kicad-footprints>=${version} kicad-packages3D>=${version}
diff --git a/srcpkgs/kicad-packages3D/template b/srcpkgs/kicad-packages3D/template
index 3bd516bb4859..bc7dfc81abc6 100644
--- a/srcpkgs/kicad-packages3D/template
+++ b/srcpkgs/kicad-packages3D/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-packages3D'
 pkgname=kicad-packages3D
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -8,5 +8,5 @@ short_desc="Kicad 3D model libraries"
 maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
-distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=5ef77e1762fa8e8042f061dd2baa2bcb8934fe80c154f8b7e3c7a8cf474927d9
+distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.bz2"
+checksum=caf3359cf474b4f71fa2b62a5128d594f92285a92817adbcd6be99f199ac36da
diff --git a/srcpkgs/kicad-symbols/template b/srcpkgs/kicad-symbols/template
index a5c8b3ebcb59..4580597c8f23 100644
--- a/srcpkgs/kicad-symbols/template
+++ b/srcpkgs/kicad-symbols/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-symbols'
 pkgname=kicad-symbols
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=f0877ff30e3f17be1ba17f33895a45998b4c08d62a48c51a25626ce7e269b098
+checksum=56593ff7dfae14ce4e5afa2b0477a8fb832dbf5ae81abec831ebbae7568f0433
diff --git a/srcpkgs/kicad-templates/template b/srcpkgs/kicad-templates/template
index 7cfe95f73be5..9d3319894ca4 100644
--- a/srcpkgs/kicad-templates/template
+++ b/srcpkgs/kicad-templates/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-templates'
 pkgname=kicad-templates
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=66272a39f624f5efa494b6bde2c10f3553167dbae5f52ca14a786bfc002b7961
+checksum=590d77e693d9f54d740e75f8e504e02227da44461f3ef3e69ff2ef9c3d6d78ee
diff --git a/srcpkgs/kicad/patches/disable-warnings.patch b/srcpkgs/kicad/patches/disable-warnings.patch
index e59a54172441..7a7e7a2193e6 100644
--- a/srcpkgs/kicad/patches/disable-warnings.patch
+++ b/srcpkgs/kicad/patches/disable-warnings.patch
@@ -1,17 +1,13 @@
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 21bebddbb1..956de85b13 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -197,12 +197,6 @@ perform_feature_checks()
- if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
-     include(CheckCXXCompilerFlag)
+--- a/CMakeModules/Warnings.cmake
++++ b/CMakeModules/Warnings.cmake
+@@ -38,13 +38,6 @@
+     set( WARN_FLAGS_CXX "-Wall" )
  
--    CHECK_CXX_COMPILER_FLAG("-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
+ 
+-    # Warn about missing override specifiers
+-    CHECK_CXX_COMPILER_FLAG( "-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
 -
--    if(COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
--        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
+-    if( COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
+-        set( WARN_FLAGS_CXX "${WARN_FLAGS_CXX} -Wsuggest-override" )
+-        message( STATUS "Enabling warning -Wsuggest-override" )
 -    endif()
--
-     CHECK_CXX_COMPILER_FLAG("-Wvla" COMPILER_SUPPORTS_WVLA)
- 
-     if(COMPILER_SUPPORTS_WVLA)
diff --git a/srcpkgs/kicad/template b/srcpkgs/kicad/template
index ba9934bf70c2..34217d0f16e2 100644
--- a/srcpkgs/kicad/template
+++ b/srcpkgs/kicad/template
@@ -1,18 +1,18 @@
 # Template file for 'kicad'
 pkgname=kicad
-version=5.1.11
-revision=4
+version=6.0.1
+revision=1
 build_style=cmake
 build_helper=cmake-wxWidgets-gtk3
-configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
- -DKICAD_SCRIPTING_MODULES=ON -DKICAD_SCRIPTING_WXPYTHON=ON
- -DKICAD_SCRIPTING_ACTION_MENU=ON  -DBUILD_GITHUB_PLUGIN=ON -DKICAD_USE_OCE=OFF
+configure_args="-DKICAD_SCRIPTING=ON -DKICAD_SCRIPTING_MODULES=ON
+ -DKICAD_SCRIPTING_WXPYTHON=ON -DKICAD_SCRIPTING_ACTION_MENU=ON
  -DKICAD_SCRIPTING_PYTHON3=ON -DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
  -DwxWidgets_CONFIG_EXECUTABLE=$WX_CONFIG
  -DKICAD_USE_OCC=$(vopt_if occt ON OFF) -DKICAD_SPICE=$(vopt_if spice ON OFF)"
-hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3"
+hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3 tar"
 makedepends="wxWidgets-gtk3-devel wxPython4 python3-devel glew-devel cairo-devel
- openssl-devel boost-devel libcurl-devel glm libgomp-devel
+ openssl-devel boost-devel libcurl-devel glm libgomp-devel libfreeglut-devel
+ gtk+3-devel libcurl-devel
  $(vopt_if occt occt-devel) $(vopt_if spice ngspice-devel)"
 depends="wxPython4"
 short_desc="Electronic schematic and PCB design software"
@@ -20,7 +20,7 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-3.0-or-later"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz"
-checksum=32751a375bb117d51c07dde29cf3eea01cd9ff77336740e2728cb5f36bb48374
+checksum=946173455db986cc79050a8c1983193690f14eb538785b21c1584d5999b864e4
 python_version=3
 
 build_options="spice occt"

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.0
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (5 preceding siblings ...)
  2022-01-16 16:37 ` [PR PATCH] [Updated] " PoroCYon
@ 2022-01-16 16:38 ` PoroCYon
  2022-01-16 17:48 ` kicad: update to 6.0.1 PoroCYon
                   ` (19 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-16 16:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 298 bytes --]

New comment by PoroCYon on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1013908708

Comment:
Thanks for the notice, I've update the templates to 6.0.1. `kicad-doc` and `kicad-i18n` don't seem to have downloads anymore, so I've removed the packages.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (6 preceding siblings ...)
  2022-01-16 16:38 ` PoroCYon
@ 2022-01-16 17:48 ` PoroCYon
  2022-01-16 18:35 ` [PR REVIEW] " ericonr
                   ` (18 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-16 17:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 345 bytes --]

New comment by PoroCYon on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1013908708

Comment:
Thanks for the notice, I've update the templates to 6.0.1. `kicad-doc` and `kicad-i18n` don't seem to have downloads anymore, so I've removed the packages.

EDIT: ran the tests again, all seem to pass

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR REVIEW] kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (8 preceding siblings ...)
  2022-01-16 18:35 ` [PR REVIEW] " ericonr
@ 2022-01-16 18:35 ` ericonr
  2022-01-16 18:35 ` ericonr
                   ` (16 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: ericonr @ 2022-01-16 18:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 270 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#discussion_r785479261

Comment:
Kicad always requires python 3 now and phoenix shouldn't have to be specified. I think these options should be removed.



^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR REVIEW] kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (9 preceding siblings ...)
  2022-01-16 18:35 ` ericonr
@ 2022-01-16 18:35 ` ericonr
  2022-01-16 23:33 ` PoroCYon
                   ` (15 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: ericonr @ 2022-01-16 18:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 245 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#discussion_r785479180

Comment:
What does it need tar for?

Just want to be sure it isn't downloading something during the build

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR REVIEW] kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (7 preceding siblings ...)
  2022-01-16 17:48 ` kicad: update to 6.0.1 PoroCYon
@ 2022-01-16 18:35 ` ericonr
  2022-01-16 18:35 ` ericonr
                   ` (17 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: ericonr @ 2022-01-16 18:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 313 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#discussion_r785479257

Comment:
I think we managed to remove the dependency on OpenSSL from kicad 6, can you try removing it from here to see if it builds?

You have `libcurl-devel` repeated here.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR REVIEW] kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (10 preceding siblings ...)
  2022-01-16 18:35 ` ericonr
@ 2022-01-16 23:33 ` PoroCYon
  2022-01-16 23:39 ` PoroCYon
                   ` (14 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-16 23:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 361 bytes --]

New review comment by PoroCYon on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#discussion_r785547855

Comment:
Iirc it errored when trying to unpack the source right after I had done an `xbps-src zap && xbps-src binary-bootstrap`, though I might be wrong, it's been more than a week.

What would it be downloading, though?

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR REVIEW] kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (11 preceding siblings ...)
  2022-01-16 23:33 ` PoroCYon
@ 2022-01-16 23:39 ` PoroCYon
  2022-01-17  0:55 ` [PR PATCH] [Updated] " PoroCYon
                   ` (13 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-16 23:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1495 bytes --]

New review comment by PoroCYon on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#discussion_r785547855

Comment:
~~Iirc it errored when trying to unpack the source right after I had done an `xbps-src zap && xbps-src binary-bootstrap`, though I might be wrong, it's been more than a week.~~

~~What would it be downloading, though?~~

EDIT: it's erroring because CMake wants it for some reason:

```
-- Found wxWidgets: -L/usr/lib64;-pthread;;;-lwx_gtk3u_gl-3.0;-lwx_gtk3u_aui-3.0;-lwx_gtk3u_adv-3.0;-lwx_gtk3u_html-3.0;-lwx_gtk3u_core-3.0;-lwx_baseu_net-3.0;-lwx_baseu-3.0;-lwx_gtk3u_propgrid-3.0;-lwx_baseu_xml-3.0;-lwx_gtk3u_stc-3.0;-lwx_gtk3u_richtext-3.0 (found suitable version "3.0.5", minimum required is "3.0.5") 
-- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE) 
-- WARNING: Doxygen not found - doxygen-docs (Source Docs) target not created
-- Could NOT find UnixCommands (missing: TAR) 
CMake Error at bitmaps_png/CMakeLists.txt:765 (message):
  Could not find the tar program.


-- Configuring incomplete, errors occurred!
See also "/builddir/kicad-6.0.1/build/CMakeFiles/CMakeOutput.log".
See also "/builddir/kicad-6.0.1/build/CMakeFiles/CMakeError.log".
=> ERROR: kicad-6.0.1_1: do_configure: 'CFLAGS="-DNDEBUG ${CFLAGS/ -pipe / }" CXXFLAGS="-DNDEBUG ${CXXFLAGS/ -pipe / }" cmake ${cmake_args} ${configure_args} ${wrksrc}/${build_wrksrc}' exited with 1
=> ERROR:   in do_configure() at common/build-style/cmake.sh:67
```

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR PATCH] [Updated] kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (12 preceding siblings ...)
  2022-01-16 23:39 ` PoroCYon
@ 2022-01-17  0:55 ` PoroCYon
  2022-01-17  0:57 ` PoroCYon
                   ` (12 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-17  0:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1231 bytes --]

There is an updated pull request by PoroCYon against master on the void-packages repository

https://github.com/PoroCYon/void-packages kicad-600
https://github.com/void-linux/void-packages/pull/34917

kicad: update to 6.0.1
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**/**briefly**: I opened a project of mine, looked around and made some minor edits, tried the main components (schematic editor, PCB editor, 3D viewer), but I didn't test *all* features (scripting, gerber output with weird contents, SPICE integration, ...).

[ci skip] because `kicad-packages3D` is humongous, and KiCAD itself takes a long while to build, and all other packages are trivial (only assets). (Should I split up the PR?)

#### Local build testing
- I built this PR locally for my native architecture, x86_64-glibc
- I did **not** build this PR locally for these architectures as I don't have any of these machines (thus cannot test it) and cross-compiling would take too long.

So, preferably, a few other people should test this PR as well.


A patch file from https://github.com/void-linux/void-packages/pull/34917.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-kicad-600-34917.patch --]
[-- Type: text/x-diff, Size: 10773 bytes --]

From 0db5b4bc15946e2dad070ea6abe06946d88997e8 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:52:38 +0100
Subject: [PATCH 1/8] kicad: update to 6.0.1

---
 srcpkgs/kicad/patches/disable-warnings.patch | 24 ++++++++------------
 srcpkgs/kicad/template                       | 16 ++++++-------
 2 files changed, 17 insertions(+), 23 deletions(-)

diff --git a/srcpkgs/kicad/patches/disable-warnings.patch b/srcpkgs/kicad/patches/disable-warnings.patch
index e59a54172441..7a7e7a2193e6 100644
--- a/srcpkgs/kicad/patches/disable-warnings.patch
+++ b/srcpkgs/kicad/patches/disable-warnings.patch
@@ -1,17 +1,13 @@
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 21bebddbb1..956de85b13 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -197,12 +197,6 @@ perform_feature_checks()
- if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
-     include(CheckCXXCompilerFlag)
+--- a/CMakeModules/Warnings.cmake
++++ b/CMakeModules/Warnings.cmake
+@@ -38,13 +38,6 @@
+     set( WARN_FLAGS_CXX "-Wall" )
  
--    CHECK_CXX_COMPILER_FLAG("-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
+ 
+-    # Warn about missing override specifiers
+-    CHECK_CXX_COMPILER_FLAG( "-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
 -
--    if(COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
--        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
+-    if( COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
+-        set( WARN_FLAGS_CXX "${WARN_FLAGS_CXX} -Wsuggest-override" )
+-        message( STATUS "Enabling warning -Wsuggest-override" )
 -    endif()
--
-     CHECK_CXX_COMPILER_FLAG("-Wvla" COMPILER_SUPPORTS_WVLA)
- 
-     if(COMPILER_SUPPORTS_WVLA)
diff --git a/srcpkgs/kicad/template b/srcpkgs/kicad/template
index ba9934bf70c2..c1c9980c617c 100644
--- a/srcpkgs/kicad/template
+++ b/srcpkgs/kicad/template
@@ -1,18 +1,15 @@
 # Template file for 'kicad'
 pkgname=kicad
-version=5.1.11
-revision=4
+version=6.0.1
+revision=1
 build_style=cmake
 build_helper=cmake-wxWidgets-gtk3
-configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
- -DKICAD_SCRIPTING_MODULES=ON -DKICAD_SCRIPTING_WXPYTHON=ON
- -DKICAD_SCRIPTING_ACTION_MENU=ON  -DBUILD_GITHUB_PLUGIN=ON -DKICAD_USE_OCE=OFF
- -DKICAD_SCRIPTING_PYTHON3=ON -DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
+configure_args="-DKICAD_SCRIPTING_WXPYTHON=ON
  -DwxWidgets_CONFIG_EXECUTABLE=$WX_CONFIG
  -DKICAD_USE_OCC=$(vopt_if occt ON OFF) -DKICAD_SPICE=$(vopt_if spice ON OFF)"
-hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3"
+hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3 tar"
 makedepends="wxWidgets-gtk3-devel wxPython4 python3-devel glew-devel cairo-devel
- openssl-devel boost-devel libcurl-devel glm libgomp-devel
+ boost-devel libcurl-devel glm libgomp-devel libfreeglut-devel gtk+3-devel
  $(vopt_if occt occt-devel) $(vopt_if spice ngspice-devel)"
 depends="wxPython4"
 short_desc="Electronic schematic and PCB design software"
@@ -20,8 +17,9 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-3.0-or-later"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz"
-checksum=32751a375bb117d51c07dde29cf3eea01cd9ff77336740e2728cb5f36bb48374
+checksum=946173455db986cc79050a8c1983193690f14eb538785b21c1584d5999b864e4
 python_version=3
+replaces="kicad-i18n>=0"
 
 build_options="spice occt"
 build_options_default="spice occt"

From e8974934fdaf2ff5827da411591ef0559849a693 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:53:25 +0100
Subject: [PATCH 2/8] kicad-i18n: removed

---
 srcpkgs/kicad-i18n/template | 15 ---------------
 1 file changed, 15 deletions(-)
 delete mode 100644 srcpkgs/kicad-i18n/template

diff --git a/srcpkgs/kicad-i18n/template b/srcpkgs/kicad-i18n/template
deleted file mode 100644
index 67d31370545f..000000000000
--- a/srcpkgs/kicad-i18n/template
+++ /dev/null
@@ -1,15 +0,0 @@
-# Template file for 'kicad-i18n'
-pkgname=kicad-i18n
-version=5.1.11
-revision=1
-_commit=0ad3d7e469e31c8868ad83f90e22a9c18f16aa1f
-wrksrc="${pkgname}-${version}-${_commit}"
-build_style=cmake
-hostmakedepends="gettext"
-depends="kicad"
-short_desc="KiCad localization files"
-maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
-license="CC-BY-SA-4.0"
-homepage="http://kicad.org"
-distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=2cbde9705f945be3b9796d981aea0dbc70a3f24796c9156e337b8014868be4e9

From 10939c52d6be09620c31cf2dae63ea61a8e80631 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:53:40 +0100
Subject: [PATCH 3/8] kicad-doc: removed

---
 srcpkgs/kicad-doc/template | 15 ---------------
 1 file changed, 15 deletions(-)
 delete mode 100644 srcpkgs/kicad-doc/template

diff --git a/srcpkgs/kicad-doc/template b/srcpkgs/kicad-doc/template
deleted file mode 100644
index 398cb7c5c0f2..000000000000
--- a/srcpkgs/kicad-doc/template
+++ /dev/null
@@ -1,15 +0,0 @@
-# Template file for 'kicad-doc'
-pkgname=kicad-doc
-version=5.1.11
-revision=1
-short_desc="KiCad documentation"
-maintainer="Érico Nogueira <ericonr@disroot.org>"
-license="GPL-3.0-or-later, CC-BY-3.0"
-homepage="http://kicad.org"
-distfiles="https://kicad-downloads.s3.cern.ch/docs/${pkgname}-${version}.tar.gz"
-checksum=3ce13d43c29e9eab502575b765a9be077e4d478b6e9d829c01739a7575a83512
-
-do_install() {
-	vmkdir usr/
-	vcopy share/ usr/
-}

From 364a8859d593901b69a2f60b5a6039895b6e65e9 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:54:13 +0100
Subject: [PATCH 4/8] kicad-footprints: update to 6.0.1

---
 srcpkgs/kicad-footprints/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/kicad-footprints/template b/srcpkgs/kicad-footprints/template
index 53ee1dad0c2e..aa8062df6655 100644
--- a/srcpkgs/kicad-footprints/template
+++ b/srcpkgs/kicad-footprints/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-footprints'
 pkgname=kicad-footprints
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,9 +9,9 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=320cae2d830cfb4ff50f187f36c9e7c3c1565fbd6ea5b064e98ec44891ea8b9e
+checksum=c2b825f346b5eb60faaa7b39c64855c47d80e1ef950e4df08c58e843783bc9a6
 
 post_install() {
 	# otherwise KiCad will complain about a missing library when launched
-	touch $DESTDIR/usr/share/kicad/modules/Connector_Multicomp.pretty/.empty
+	touch $DESTDIR/usr/share/kicad/footprints/Connector_Multicomp.pretty/.empty
 }

From 972671490d936184ceb418815ee0eae7a5c73383 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:54:36 +0100
Subject: [PATCH 5/8] kicad-packages3D: update to 6.0.1

---
 srcpkgs/kicad-packages3D/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/kicad-packages3D/template b/srcpkgs/kicad-packages3D/template
index 3bd516bb4859..bc7dfc81abc6 100644
--- a/srcpkgs/kicad-packages3D/template
+++ b/srcpkgs/kicad-packages3D/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-packages3D'
 pkgname=kicad-packages3D
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -8,5 +8,5 @@ short_desc="Kicad 3D model libraries"
 maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
-distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=5ef77e1762fa8e8042f061dd2baa2bcb8934fe80c154f8b7e3c7a8cf474927d9
+distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.bz2"
+checksum=caf3359cf474b4f71fa2b62a5128d594f92285a92817adbcd6be99f199ac36da

From 2ba3b3b85673328f03d385d8383511f03366da60 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:54:50 +0100
Subject: [PATCH 6/8] kicad-symbols: update to 6.0.1

---
 srcpkgs/kicad-symbols/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-symbols/template b/srcpkgs/kicad-symbols/template
index a5c8b3ebcb59..4580597c8f23 100644
--- a/srcpkgs/kicad-symbols/template
+++ b/srcpkgs/kicad-symbols/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-symbols'
 pkgname=kicad-symbols
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=f0877ff30e3f17be1ba17f33895a45998b4c08d62a48c51a25626ce7e269b098
+checksum=56593ff7dfae14ce4e5afa2b0477a8fb832dbf5ae81abec831ebbae7568f0433

From b2407f5e06dfb62a78bfb9d7ce8ed2916c7d33e5 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:55:04 +0100
Subject: [PATCH 7/8] kicad-templates: update to 6.0.1

---
 srcpkgs/kicad-templates/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-templates/template b/srcpkgs/kicad-templates/template
index 7cfe95f73be5..9d3319894ca4 100644
--- a/srcpkgs/kicad-templates/template
+++ b/srcpkgs/kicad-templates/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-templates'
 pkgname=kicad-templates
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=66272a39f624f5efa494b6bde2c10f3553167dbae5f52ca14a786bfc002b7961
+checksum=590d77e693d9f54d740e75f8e504e02227da44461f3ef3e69ff2ef9c3d6d78ee

From d3df05ce224d3a0df970bf61be412a9009e5e612 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:55:18 +0100
Subject: [PATCH 8/8] kicad-library: update to 6.0.1

---
 srcpkgs/kicad-library/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kicad-library/template b/srcpkgs/kicad-library/template
index b8bb109976e7..ab472215f802 100644
--- a/srcpkgs/kicad-library/template
+++ b/srcpkgs/kicad-library/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-library'
 pkgname=kicad-library
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=meta
 depends="kicad-footprints>=${version} kicad-packages3D>=${version}

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (13 preceding siblings ...)
  2022-01-17  0:55 ` [PR PATCH] [Updated] " PoroCYon
@ 2022-01-17  0:57 ` PoroCYon
  2022-01-17  4:47 ` [PR REVIEW] " ericonr
                   ` (11 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-17  0:57 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 236 bytes --]

New comment by PoroCYon on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1014012674

Comment:
I've split the commits into separate ones for all the packages, and integrated your feedback.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR REVIEW] kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (14 preceding siblings ...)
  2022-01-17  0:57 ` PoroCYon
@ 2022-01-17  4:47 ` ericonr
  2022-01-17 17:17 ` [PR PATCH] [Updated] " PoroCYon
                   ` (10 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: ericonr @ 2022-01-17  4:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 206 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#discussion_r785633493

Comment:
That checks out, I had forgotten about the new requirement.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR PATCH] [Updated] kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (15 preceding siblings ...)
  2022-01-17  4:47 ` [PR REVIEW] " ericonr
@ 2022-01-17 17:17 ` PoroCYon
  2022-01-23 22:23 ` PoroCYon
                   ` (9 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-17 17:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1203 bytes --]

There is an updated pull request by PoroCYon against master on the void-packages repository

https://github.com/PoroCYon/void-packages kicad-600
https://github.com/void-linux/void-packages/pull/34917

kicad: update to 6.0.1
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**/**briefly**: I opened a project of mine, looked around and made some minor edits, tried the main components (schematic editor, PCB editor, 3D viewer), but I didn't test *all* features (scripting, gerber output with weird contents, SPICE integration, ...).

[ci skip] because `kicad-packages3D` is humongous, and KiCAD itself takes a long while to build, and all other packages are trivial (only assets).

#### Local build testing
- I built this PR locally for my native architecture, x86_64-glibc
- I did **not** build this PR locally for these architectures as I don't have any of these machines (thus cannot test it) and cross-compiling would take too long.

So, preferably, a few other people should test this PR as well.


A patch file from https://github.com/void-linux/void-packages/pull/34917.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-kicad-600-34917.patch --]
[-- Type: text/x-diff, Size: 10773 bytes --]

From 1ba56ddaad80502c7876bdbcd9868d657f34583c Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:52:38 +0100
Subject: [PATCH 1/8] kicad: update to 6.0.1

---
 srcpkgs/kicad/patches/disable-warnings.patch | 24 ++++++++------------
 srcpkgs/kicad/template                       | 16 ++++++-------
 2 files changed, 17 insertions(+), 23 deletions(-)

diff --git a/srcpkgs/kicad/patches/disable-warnings.patch b/srcpkgs/kicad/patches/disable-warnings.patch
index e59a54172441..7a7e7a2193e6 100644
--- a/srcpkgs/kicad/patches/disable-warnings.patch
+++ b/srcpkgs/kicad/patches/disable-warnings.patch
@@ -1,17 +1,13 @@
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 21bebddbb1..956de85b13 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -197,12 +197,6 @@ perform_feature_checks()
- if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
-     include(CheckCXXCompilerFlag)
+--- a/CMakeModules/Warnings.cmake
++++ b/CMakeModules/Warnings.cmake
+@@ -38,13 +38,6 @@
+     set( WARN_FLAGS_CXX "-Wall" )
  
--    CHECK_CXX_COMPILER_FLAG("-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
+ 
+-    # Warn about missing override specifiers
+-    CHECK_CXX_COMPILER_FLAG( "-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
 -
--    if(COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
--        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
+-    if( COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
+-        set( WARN_FLAGS_CXX "${WARN_FLAGS_CXX} -Wsuggest-override" )
+-        message( STATUS "Enabling warning -Wsuggest-override" )
 -    endif()
--
-     CHECK_CXX_COMPILER_FLAG("-Wvla" COMPILER_SUPPORTS_WVLA)
- 
-     if(COMPILER_SUPPORTS_WVLA)
diff --git a/srcpkgs/kicad/template b/srcpkgs/kicad/template
index ba9934bf70c2..c1c9980c617c 100644
--- a/srcpkgs/kicad/template
+++ b/srcpkgs/kicad/template
@@ -1,18 +1,15 @@
 # Template file for 'kicad'
 pkgname=kicad
-version=5.1.11
-revision=4
+version=6.0.1
+revision=1
 build_style=cmake
 build_helper=cmake-wxWidgets-gtk3
-configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
- -DKICAD_SCRIPTING_MODULES=ON -DKICAD_SCRIPTING_WXPYTHON=ON
- -DKICAD_SCRIPTING_ACTION_MENU=ON  -DBUILD_GITHUB_PLUGIN=ON -DKICAD_USE_OCE=OFF
- -DKICAD_SCRIPTING_PYTHON3=ON -DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
+configure_args="-DKICAD_SCRIPTING_WXPYTHON=ON
  -DwxWidgets_CONFIG_EXECUTABLE=$WX_CONFIG
  -DKICAD_USE_OCC=$(vopt_if occt ON OFF) -DKICAD_SPICE=$(vopt_if spice ON OFF)"
-hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3"
+hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3 tar"
 makedepends="wxWidgets-gtk3-devel wxPython4 python3-devel glew-devel cairo-devel
- openssl-devel boost-devel libcurl-devel glm libgomp-devel
+ boost-devel libcurl-devel glm libgomp-devel libfreeglut-devel gtk+3-devel
  $(vopt_if occt occt-devel) $(vopt_if spice ngspice-devel)"
 depends="wxPython4"
 short_desc="Electronic schematic and PCB design software"
@@ -20,8 +17,9 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-3.0-or-later"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz"
-checksum=32751a375bb117d51c07dde29cf3eea01cd9ff77336740e2728cb5f36bb48374
+checksum=946173455db986cc79050a8c1983193690f14eb538785b21c1584d5999b864e4
 python_version=3
+replaces="kicad-i18n>=0"
 
 build_options="spice occt"
 build_options_default="spice occt"

From b23e8d85d159736beba980c739d98d21a9f65476 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:53:25 +0100
Subject: [PATCH 2/8] kicad-i18n: removed

---
 srcpkgs/kicad-i18n/template | 15 ---------------
 1 file changed, 15 deletions(-)
 delete mode 100644 srcpkgs/kicad-i18n/template

diff --git a/srcpkgs/kicad-i18n/template b/srcpkgs/kicad-i18n/template
deleted file mode 100644
index 67d31370545f..000000000000
--- a/srcpkgs/kicad-i18n/template
+++ /dev/null
@@ -1,15 +0,0 @@
-# Template file for 'kicad-i18n'
-pkgname=kicad-i18n
-version=5.1.11
-revision=1
-_commit=0ad3d7e469e31c8868ad83f90e22a9c18f16aa1f
-wrksrc="${pkgname}-${version}-${_commit}"
-build_style=cmake
-hostmakedepends="gettext"
-depends="kicad"
-short_desc="KiCad localization files"
-maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
-license="CC-BY-SA-4.0"
-homepage="http://kicad.org"
-distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=2cbde9705f945be3b9796d981aea0dbc70a3f24796c9156e337b8014868be4e9

From c477cfaddbf4f926a6b96cc07e771b5cefde1d15 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:53:40 +0100
Subject: [PATCH 3/8] kicad-doc: removed

---
 srcpkgs/kicad-doc/template | 15 ---------------
 1 file changed, 15 deletions(-)
 delete mode 100644 srcpkgs/kicad-doc/template

diff --git a/srcpkgs/kicad-doc/template b/srcpkgs/kicad-doc/template
deleted file mode 100644
index 398cb7c5c0f2..000000000000
--- a/srcpkgs/kicad-doc/template
+++ /dev/null
@@ -1,15 +0,0 @@
-# Template file for 'kicad-doc'
-pkgname=kicad-doc
-version=5.1.11
-revision=1
-short_desc="KiCad documentation"
-maintainer="Érico Nogueira <ericonr@disroot.org>"
-license="GPL-3.0-or-later, CC-BY-3.0"
-homepage="http://kicad.org"
-distfiles="https://kicad-downloads.s3.cern.ch/docs/${pkgname}-${version}.tar.gz"
-checksum=3ce13d43c29e9eab502575b765a9be077e4d478b6e9d829c01739a7575a83512
-
-do_install() {
-	vmkdir usr/
-	vcopy share/ usr/
-}

From f18197ff0599f5384abfd88988091fdb99a5a0ba Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:54:13 +0100
Subject: [PATCH 4/8] kicad-footprints: update to 6.0.1

---
 srcpkgs/kicad-footprints/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/kicad-footprints/template b/srcpkgs/kicad-footprints/template
index 53ee1dad0c2e..aa8062df6655 100644
--- a/srcpkgs/kicad-footprints/template
+++ b/srcpkgs/kicad-footprints/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-footprints'
 pkgname=kicad-footprints
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,9 +9,9 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=320cae2d830cfb4ff50f187f36c9e7c3c1565fbd6ea5b064e98ec44891ea8b9e
+checksum=c2b825f346b5eb60faaa7b39c64855c47d80e1ef950e4df08c58e843783bc9a6
 
 post_install() {
 	# otherwise KiCad will complain about a missing library when launched
-	touch $DESTDIR/usr/share/kicad/modules/Connector_Multicomp.pretty/.empty
+	touch $DESTDIR/usr/share/kicad/footprints/Connector_Multicomp.pretty/.empty
 }

From 6b380d2293a84f3139baf7a8ad6b4154949daf9f Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:54:36 +0100
Subject: [PATCH 5/8] kicad-packages3D: update to 6.0.1

---
 srcpkgs/kicad-packages3D/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/kicad-packages3D/template b/srcpkgs/kicad-packages3D/template
index 3bd516bb4859..bc7dfc81abc6 100644
--- a/srcpkgs/kicad-packages3D/template
+++ b/srcpkgs/kicad-packages3D/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-packages3D'
 pkgname=kicad-packages3D
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -8,5 +8,5 @@ short_desc="Kicad 3D model libraries"
 maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
-distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=5ef77e1762fa8e8042f061dd2baa2bcb8934fe80c154f8b7e3c7a8cf474927d9
+distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.bz2"
+checksum=caf3359cf474b4f71fa2b62a5128d594f92285a92817adbcd6be99f199ac36da

From da6a6b7d76c71ef3348c5ac34bd369faba823e84 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:54:50 +0100
Subject: [PATCH 6/8] kicad-symbols: update to 6.0.1

---
 srcpkgs/kicad-symbols/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-symbols/template b/srcpkgs/kicad-symbols/template
index a5c8b3ebcb59..4580597c8f23 100644
--- a/srcpkgs/kicad-symbols/template
+++ b/srcpkgs/kicad-symbols/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-symbols'
 pkgname=kicad-symbols
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=f0877ff30e3f17be1ba17f33895a45998b4c08d62a48c51a25626ce7e269b098
+checksum=56593ff7dfae14ce4e5afa2b0477a8fb832dbf5ae81abec831ebbae7568f0433

From d8b5703db236928d5bc7c0f1b81d445616c7359a Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:55:04 +0100
Subject: [PATCH 7/8] kicad-templates: update to 6.0.1

---
 srcpkgs/kicad-templates/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-templates/template b/srcpkgs/kicad-templates/template
index 7cfe95f73be5..9d3319894ca4 100644
--- a/srcpkgs/kicad-templates/template
+++ b/srcpkgs/kicad-templates/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-templates'
 pkgname=kicad-templates
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=66272a39f624f5efa494b6bde2c10f3553167dbae5f52ca14a786bfc002b7961
+checksum=590d77e693d9f54d740e75f8e504e02227da44461f3ef3e69ff2ef9c3d6d78ee

From 68387d8432d58a44b369fc85145a89c526d86a88 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:55:18 +0100
Subject: [PATCH 8/8] kicad-library: update to 6.0.1

---
 srcpkgs/kicad-library/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kicad-library/template b/srcpkgs/kicad-library/template
index b8bb109976e7..ab472215f802 100644
--- a/srcpkgs/kicad-library/template
+++ b/srcpkgs/kicad-library/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-library'
 pkgname=kicad-library
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=meta
 depends="kicad-footprints>=${version} kicad-packages3D>=${version}

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (16 preceding siblings ...)
  2022-01-17 17:17 ` [PR PATCH] [Updated] " PoroCYon
@ 2022-01-23 22:23 ` PoroCYon
  2022-01-26 17:26 ` foopub
                   ` (8 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-23 22:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 191 bytes --]

New comment by PoroCYon on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1019579748

Comment:
Do you have any news on the kicad-doc situation?

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (17 preceding siblings ...)
  2022-01-23 22:23 ` PoroCYon
@ 2022-01-26 17:26 ` foopub
  2022-01-26 17:34 ` foopub
                   ` (7 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: foopub @ 2022-01-26 17:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 289 bytes --]

New comment by foopub on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1022423148

Comment:
> Do you have any news on the kicad-doc situation?

What's the issue? https://kicad-downloads.s3.cern.ch/docs/kicad-doc-6.0.1.tar.gz works for me.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (18 preceding siblings ...)
  2022-01-26 17:26 ` foopub
@ 2022-01-26 17:34 ` foopub
  2022-01-27  0:32 ` PoroCYon
                   ` (6 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: foopub @ 2022-01-26 17:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 467 bytes --]

New comment by foopub on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1022423148

Comment:
> Do you have any news on the kicad-doc situation?

What's the issue? https://kicad-downloads.s3.cern.ch/docs/kicad-doc-6.0.1.tar.gz works for me.

Also here's the checksum 
`sha256sum Downloads/kicad-doc-6.0.1.tar.gz `
`6093c99cfde827fb42fc351ef301f0dcad805f0c256ef02a0e82d9daafc238d3  Downloads/kicad-doc-6.0.1.tar.gz`

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (19 preceding siblings ...)
  2022-01-26 17:34 ` foopub
@ 2022-01-27  0:32 ` PoroCYon
  2022-01-27  1:05 ` PoroCYon
                   ` (5 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-27  0:32 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 207 bytes --]

New comment by PoroCYon on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1022731331

Comment:
Ah, the 6.0.0 link was 404'ing. I'll readd the package tomorrow.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (20 preceding siblings ...)
  2022-01-27  0:32 ` PoroCYon
@ 2022-01-27  1:05 ` PoroCYon
  2022-01-27 13:53 ` [PR PATCH] [Updated] " PoroCYon
                   ` (4 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-27  1:05 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 233 bytes --]

New comment by PoroCYon on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1022731331

Comment:
Ah, the 6.0.0 link was 404'ing for 6.0.0 when I tried it. I'll readd the package tomorrow.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR PATCH] [Updated] kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (21 preceding siblings ...)
  2022-01-27  1:05 ` PoroCYon
@ 2022-01-27 13:53 ` PoroCYon
  2022-01-28  6:27 ` [PR PATCH] [Closed]: " ericonr
                   ` (3 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: PoroCYon @ 2022-01-27 13:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1203 bytes --]

There is an updated pull request by PoroCYon against master on the void-packages repository

https://github.com/PoroCYon/void-packages kicad-600
https://github.com/void-linux/void-packages/pull/34917

kicad: update to 6.0.1
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**/**briefly**: I opened a project of mine, looked around and made some minor edits, tried the main components (schematic editor, PCB editor, 3D viewer), but I didn't test *all* features (scripting, gerber output with weird contents, SPICE integration, ...).

[ci skip] because `kicad-packages3D` is humongous, and KiCAD itself takes a long while to build, and all other packages are trivial (only assets).

#### Local build testing
- I built this PR locally for my native architecture, x86_64-glibc
- I did **not** build this PR locally for these architectures as I don't have any of these machines (thus cannot test it) and cross-compiling would take too long.

So, preferably, a few other people should test this PR as well.


A patch file from https://github.com/void-linux/void-packages/pull/34917.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-kicad-600-34917.patch --]
[-- Type: text/x-diff, Size: 10807 bytes --]

From 56d8a0ff2d2e24c5f53d2067a495290a06b3aae9 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:52:38 +0100
Subject: [PATCH 1/8] kicad: update to 6.0.1

---
 srcpkgs/kicad/patches/disable-warnings.patch | 24 ++++++++------------
 srcpkgs/kicad/template                       | 16 ++++++-------
 2 files changed, 17 insertions(+), 23 deletions(-)

diff --git a/srcpkgs/kicad/patches/disable-warnings.patch b/srcpkgs/kicad/patches/disable-warnings.patch
index e59a54172441..7a7e7a2193e6 100644
--- a/srcpkgs/kicad/patches/disable-warnings.patch
+++ b/srcpkgs/kicad/patches/disable-warnings.patch
@@ -1,17 +1,13 @@
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 21bebddbb1..956de85b13 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -197,12 +197,6 @@ perform_feature_checks()
- if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
-     include(CheckCXXCompilerFlag)
+--- a/CMakeModules/Warnings.cmake
++++ b/CMakeModules/Warnings.cmake
+@@ -38,13 +38,6 @@
+     set( WARN_FLAGS_CXX "-Wall" )
  
--    CHECK_CXX_COMPILER_FLAG("-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
+ 
+-    # Warn about missing override specifiers
+-    CHECK_CXX_COMPILER_FLAG( "-Wsuggest-override" COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
 -
--    if(COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
--        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
+-    if( COMPILER_SUPPORTS_WSUGGEST_OVERRIDE )
+-        set( WARN_FLAGS_CXX "${WARN_FLAGS_CXX} -Wsuggest-override" )
+-        message( STATUS "Enabling warning -Wsuggest-override" )
 -    endif()
--
-     CHECK_CXX_COMPILER_FLAG("-Wvla" COMPILER_SUPPORTS_WVLA)
- 
-     if(COMPILER_SUPPORTS_WVLA)
diff --git a/srcpkgs/kicad/template b/srcpkgs/kicad/template
index ba9934bf70c2..c1c9980c617c 100644
--- a/srcpkgs/kicad/template
+++ b/srcpkgs/kicad/template
@@ -1,18 +1,15 @@
 # Template file for 'kicad'
 pkgname=kicad
-version=5.1.11
-revision=4
+version=6.0.1
+revision=1
 build_style=cmake
 build_helper=cmake-wxWidgets-gtk3
-configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
- -DKICAD_SCRIPTING_MODULES=ON -DKICAD_SCRIPTING_WXPYTHON=ON
- -DKICAD_SCRIPTING_ACTION_MENU=ON  -DBUILD_GITHUB_PLUGIN=ON -DKICAD_USE_OCE=OFF
- -DKICAD_SCRIPTING_PYTHON3=ON -DKICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
+configure_args="-DKICAD_SCRIPTING_WXPYTHON=ON
  -DwxWidgets_CONFIG_EXECUTABLE=$WX_CONFIG
  -DKICAD_USE_OCC=$(vopt_if occt ON OFF) -DKICAD_SPICE=$(vopt_if spice ON OFF)"
-hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3"
+hostmakedepends="pkg-config swig wxWidgets-gtk3-devel python3 tar"
 makedepends="wxWidgets-gtk3-devel wxPython4 python3-devel glew-devel cairo-devel
- openssl-devel boost-devel libcurl-devel glm libgomp-devel
+ boost-devel libcurl-devel glm libgomp-devel libfreeglut-devel gtk+3-devel
  $(vopt_if occt occt-devel) $(vopt_if spice ngspice-devel)"
 depends="wxPython4"
 short_desc="Electronic schematic and PCB design software"
@@ -20,8 +17,9 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-3.0-or-later"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz"
-checksum=32751a375bb117d51c07dde29cf3eea01cd9ff77336740e2728cb5f36bb48374
+checksum=946173455db986cc79050a8c1983193690f14eb538785b21c1584d5999b864e4
 python_version=3
+replaces="kicad-i18n>=0"
 
 build_options="spice occt"
 build_options_default="spice occt"

From 6d2b10347655b9f22e697387a6e7de1cc346712e Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:53:25 +0100
Subject: [PATCH 2/8] kicad-i18n: removed

---
 srcpkgs/kicad-i18n/template | 15 ---------------
 1 file changed, 15 deletions(-)
 delete mode 100644 srcpkgs/kicad-i18n/template

diff --git a/srcpkgs/kicad-i18n/template b/srcpkgs/kicad-i18n/template
deleted file mode 100644
index 67d31370545f..000000000000
--- a/srcpkgs/kicad-i18n/template
+++ /dev/null
@@ -1,15 +0,0 @@
-# Template file for 'kicad-i18n'
-pkgname=kicad-i18n
-version=5.1.11
-revision=1
-_commit=0ad3d7e469e31c8868ad83f90e22a9c18f16aa1f
-wrksrc="${pkgname}-${version}-${_commit}"
-build_style=cmake
-hostmakedepends="gettext"
-depends="kicad"
-short_desc="KiCad localization files"
-maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
-license="CC-BY-SA-4.0"
-homepage="http://kicad.org"
-distfiles="https://gitlab.com/kicad/code/${pkgname}/-/archive/${version}/kicad-${version}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=2cbde9705f945be3b9796d981aea0dbc70a3f24796c9156e337b8014868be4e9

From be388e18518d79cff3d3f81f18c9dd171b6031c9 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:54:13 +0100
Subject: [PATCH 3/8] kicad-footprints: update to 6.0.1

---
 srcpkgs/kicad-footprints/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/kicad-footprints/template b/srcpkgs/kicad-footprints/template
index 53ee1dad0c2e..aa8062df6655 100644
--- a/srcpkgs/kicad-footprints/template
+++ b/srcpkgs/kicad-footprints/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-footprints'
 pkgname=kicad-footprints
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,9 +9,9 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=320cae2d830cfb4ff50f187f36c9e7c3c1565fbd6ea5b064e98ec44891ea8b9e
+checksum=c2b825f346b5eb60faaa7b39c64855c47d80e1ef950e4df08c58e843783bc9a6
 
 post_install() {
 	# otherwise KiCad will complain about a missing library when launched
-	touch $DESTDIR/usr/share/kicad/modules/Connector_Multicomp.pretty/.empty
+	touch $DESTDIR/usr/share/kicad/footprints/Connector_Multicomp.pretty/.empty
 }

From 0e1c4448e03bc9511fcfed21c16dfb2e7191bd46 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:54:36 +0100
Subject: [PATCH 4/8] kicad-packages3D: update to 6.0.1

---
 srcpkgs/kicad-packages3D/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/kicad-packages3D/template b/srcpkgs/kicad-packages3D/template
index 3bd516bb4859..bc7dfc81abc6 100644
--- a/srcpkgs/kicad-packages3D/template
+++ b/srcpkgs/kicad-packages3D/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-packages3D'
 pkgname=kicad-packages3D
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -8,5 +8,5 @@ short_desc="Kicad 3D model libraries"
 maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
-distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=5ef77e1762fa8e8042f061dd2baa2bcb8934fe80c154f8b7e3c7a8cf474927d9
+distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.bz2"
+checksum=caf3359cf474b4f71fa2b62a5128d594f92285a92817adbcd6be99f199ac36da

From 469582ab50924c13cac37691562f67056ab4c334 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:54:50 +0100
Subject: [PATCH 5/8] kicad-symbols: update to 6.0.1

---
 srcpkgs/kicad-symbols/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-symbols/template b/srcpkgs/kicad-symbols/template
index a5c8b3ebcb59..4580597c8f23 100644
--- a/srcpkgs/kicad-symbols/template
+++ b/srcpkgs/kicad-symbols/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-symbols'
 pkgname=kicad-symbols
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=f0877ff30e3f17be1ba17f33895a45998b4c08d62a48c51a25626ce7e269b098
+checksum=56593ff7dfae14ce4e5afa2b0477a8fb832dbf5ae81abec831ebbae7568f0433

From 6dd6ab2392ae5478c53f7496c68001e875f624ee Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:55:04 +0100
Subject: [PATCH 6/8] kicad-templates: update to 6.0.1

---
 srcpkgs/kicad-templates/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-templates/template b/srcpkgs/kicad-templates/template
index 7cfe95f73be5..9d3319894ca4 100644
--- a/srcpkgs/kicad-templates/template
+++ b/srcpkgs/kicad-templates/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-templates'
 pkgname=kicad-templates
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=cmake
 depends="kicad"
@@ -9,4 +9,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad.org"
 distfiles="https://gitlab.com/kicad/libraries/${pkgname}/-/archive/${version}/${pkgname}-${version}.tar.gz"
-checksum=66272a39f624f5efa494b6bde2c10f3553167dbae5f52ca14a786bfc002b7961
+checksum=590d77e693d9f54d740e75f8e504e02227da44461f3ef3e69ff2ef9c3d6d78ee

From b8c428433eeb12bc20948cb4c8b5931a48ded04b Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Mon, 17 Jan 2022 01:55:18 +0100
Subject: [PATCH 7/8] kicad-library: update to 6.0.1

---
 srcpkgs/kicad-library/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kicad-library/template b/srcpkgs/kicad-library/template
index b8bb109976e7..ab472215f802 100644
--- a/srcpkgs/kicad-library/template
+++ b/srcpkgs/kicad-library/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-library'
 pkgname=kicad-library
-version=5.1.11
+version=6.0.1
 revision=1
 build_style=meta
 depends="kicad-footprints>=${version} kicad-packages3D>=${version}

From c99929472dcfa594b1d5639f2ee8ebd002e2e504 Mon Sep 17 00:00:00 2001
From: PoroCYon <porocyon@titandemo.org>
Date: Thu, 27 Jan 2022 14:53:38 +0100
Subject: [PATCH 8/8] kicad-doc: update to 6.0.1

---
 srcpkgs/kicad-doc/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-doc/template b/srcpkgs/kicad-doc/template
index 398cb7c5c0f2..0bdd249c7d88 100644
--- a/srcpkgs/kicad-doc/template
+++ b/srcpkgs/kicad-doc/template
@@ -1,13 +1,13 @@
 # Template file for 'kicad-doc'
 pkgname=kicad-doc
-version=5.1.11
+version=6.0.1
 revision=1
 short_desc="KiCad documentation"
 maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-3.0-or-later, CC-BY-3.0"
 homepage="http://kicad.org"
 distfiles="https://kicad-downloads.s3.cern.ch/docs/${pkgname}-${version}.tar.gz"
-checksum=3ce13d43c29e9eab502575b765a9be077e4d478b6e9d829c01739a7575a83512
+checksum=6093c99cfde827fb42fc351ef301f0dcad805f0c256ef02a0e82d9daafc238d3
 
 do_install() {
 	vmkdir usr/

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR PATCH] [Closed]: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (22 preceding siblings ...)
  2022-01-27 13:53 ` [PR PATCH] [Updated] " PoroCYon
@ 2022-01-28  6:27 ` ericonr
  2022-01-28  8:00 ` ericonr
                   ` (2 subsequent siblings)
  26 siblings, 0 replies; 29+ messages in thread
From: ericonr @ 2022-01-28  6:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1043 bytes --]

There's a closed pull request on the void-packages repository

kicad: update to 6.0.1
https://github.com/void-linux/void-packages/pull/34917

Description:
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**/**briefly**: I opened a project of mine, looked around and made some minor edits, tried the main components (schematic editor, PCB editor, 3D viewer), but I didn't test *all* features (scripting, gerber output with weird contents, SPICE integration, ...).

[ci skip] because `kicad-packages3D` is humongous, and KiCAD itself takes a long while to build, and all other packages are trivial (only assets).

#### Local build testing
- I built this PR locally for my native architecture, x86_64-glibc
- I did **not** build this PR locally for these architectures as I don't have any of these machines (thus cannot test it) and cross-compiling would take too long.

So, preferably, a few other people should test this PR as well.


^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (23 preceding siblings ...)
  2022-01-28  6:27 ` [PR PATCH] [Closed]: " ericonr
@ 2022-01-28  8:00 ` ericonr
  2022-01-29  1:12 ` foopub
  2022-01-29  1:12 ` foopub
  26 siblings, 0 replies; 29+ messages in thread
From: ericonr @ 2022-01-28  8:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 234 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1023972644

Comment:
For next time, it'd be best to just let CI run. See bb4b6fb5588eeb2dce6611b89c542f082bd14120

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (24 preceding siblings ...)
  2022-01-28  8:00 ` ericonr
@ 2022-01-29  1:12 ` foopub
  2022-01-29  1:12 ` foopub
  26 siblings, 0 replies; 29+ messages in thread
From: foopub @ 2022-01-29  1:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 691 bytes --]

New comment by foopub on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1024793923

Comment:
> For next time, it'd be best to just let CI run. See [bb4b6fb](https://github.com/void-linux/void-packages/commit/bb4b6fb5588eeb2dce6611b89c542f082bd14120)

Seems CI builds fail for all but x86_64... https://github.com/void-linux/void-packages/actions/runs/1736427514
I tried looking through the build logs but they're too long to view online. Tried to download, but it reached >100mb before I cancelled. Not sure what the issues are, and kicad is the most annoying program to debug in my experience (no runtime logs!) so I gave up at that point.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: kicad: update to 6.0.1
  2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
                   ` (25 preceding siblings ...)
  2022-01-29  1:12 ` foopub
@ 2022-01-29  1:12 ` foopub
  26 siblings, 0 replies; 29+ messages in thread
From: foopub @ 2022-01-29  1:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 697 bytes --]

New comment by foopub on void-packages repository

https://github.com/void-linux/void-packages/pull/34917#issuecomment-1024793923

Comment:
> For next time, it'd be best to just let CI run. See [bb4b6fb](https://github.com/void-linux/void-packages/commit/bb4b6fb5588eeb2dce6611b89c542f082bd14120)

Seems CI builds fail for all but x86_64 glibc... https://github.com/void-linux/void-packages/actions/runs/1736427514
I tried looking through the build logs but they're too long to view online. Tried to download, but it reached >100mb before I cancelled. Not sure what the issues are, and kicad is the most annoying program to debug in my experience (no runtime logs!) so I gave up at that point.

^ permalink raw reply	[flat|nested] 29+ messages in thread

* Re: [PR PATCH] [Closed]: kicad: update to 6.0.1
  2022-01-23 16:33 [PR PATCH] " foopub
@ 2022-01-23 17:38 ` foopub
  0 siblings, 0 replies; 29+ messages in thread
From: foopub @ 2022-01-23 17:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 581 bytes --]

There's a closed pull request on the void-packages repository

kicad: update to 6.0.1
https://github.com/void-linux/void-packages/pull/35204

Description:
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

Had an issue opening the python console which I hoped this will fix, but it still persists, albeit the errors have reduced. I'll see what I can do about it.
https://gitlab.com/kicad/code/kicad/-/issues/10077

Had to delete patch as it fails and seems unnecessary. 


^ permalink raw reply	[flat|nested] 29+ messages in thread

end of thread, other threads:[~2022-01-29  1:12 UTC | newest]

Thread overview: 29+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-01-07  2:47 [PR PATCH] kicad: update to 6.0.0 PoroCYon
2022-01-07 18:52 ` unspecd
2022-01-07 23:07 ` [PR PATCH] [Updated] " PoroCYon
2022-01-07 23:10 ` PoroCYon
2022-01-16  8:43 ` lemmi
2022-01-16  8:44 ` lemmi
2022-01-16 16:37 ` [PR PATCH] [Updated] " PoroCYon
2022-01-16 16:38 ` PoroCYon
2022-01-16 17:48 ` kicad: update to 6.0.1 PoroCYon
2022-01-16 18:35 ` [PR REVIEW] " ericonr
2022-01-16 18:35 ` ericonr
2022-01-16 18:35 ` ericonr
2022-01-16 23:33 ` PoroCYon
2022-01-16 23:39 ` PoroCYon
2022-01-17  0:55 ` [PR PATCH] [Updated] " PoroCYon
2022-01-17  0:57 ` PoroCYon
2022-01-17  4:47 ` [PR REVIEW] " ericonr
2022-01-17 17:17 ` [PR PATCH] [Updated] " PoroCYon
2022-01-23 22:23 ` PoroCYon
2022-01-26 17:26 ` foopub
2022-01-26 17:34 ` foopub
2022-01-27  0:32 ` PoroCYon
2022-01-27  1:05 ` PoroCYon
2022-01-27 13:53 ` [PR PATCH] [Updated] " PoroCYon
2022-01-28  6:27 ` [PR PATCH] [Closed]: " ericonr
2022-01-28  8:00 ` ericonr
2022-01-29  1:12 ` foopub
2022-01-29  1:12 ` foopub
2022-01-23 16:33 [PR PATCH] " foopub
2022-01-23 17:38 ` [PR PATCH] [Closed]: " foopub

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).